Retrieve a Report
curl --request GET \
--url https://api-sandbox.y.uno/v1/reports/{report_id} \
--header 'X-Organization-Code: <x-organization-code>' \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/reports/{report_id}"
headers = {
"X-Organization-Code": "<x-organization-code>",
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Organization-Code': '<x-organization-code>',
'public-api-key': '<api-key>',
'private-secret-key': '<api-key>'
}
};
fetch('https://api-sandbox.y.uno/v1/reports/{report_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "5104911d-5df9-229e-8468-bd41abea1",
"type": "TRANSACTIONS",
"start_date": "2022-05-09T20:46:54.786342Z",
"end_date": "2022-05-09T20:46:54.786342Z",
"merchant_reference_id": "Merchant_report_1234",
"created_at": "2022-05-16T20:46:54.786342Z",
"updated_at": "2022-05-16T20:46:54.786342Z",
"expires_at": "2022-05-16T20:46:54.786342Z",
"status": "SUCCEEDED"
}{
"code": "INVALID_REQUEST",
"messages": [
"Invalid request"
]
}""{
"code": "AUTHORIZATION_REQUIRED",
"messages": [
"The merchant has no authorization to use this API."
]
}Retrieve a Report
GET
/
reports
/
{report_id}
Retrieve a Report
This request enables you to retrieve details of a report based on their
id, which needs to be provided in the request path.Authorizations
Headers
Organization code associated to the request.
Path Parameters
The unique identifier of the report.
Response
200
Example:
"5104911d-5df9-229e-8468-bd41abea1"
Example:
"TRANSACTIONS"
Example:
"2022-05-09T20:46:54.786342Z"
Example:
"2022-05-09T20:46:54.786342Z"
Example:
"Merchant_report_1234"
Example:
"2022-05-16T20:46:54.786342Z"
Example:
"2022-05-16T20:46:54.786342Z"
Example:
"2022-05-16T20:46:54.786342Z"
Example:
"SUCCEEDED"
Was this page helpful?
⌘I